import React, { useState } from 'react'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function YeZhuShenHe (props) {

  const [Status, setStatus] = useState(1)

  return (
    <view className='YeZhuShenHe'>
      <view className='ShenHeContent'>

        {/* 审核中 */}
        {
          Status - 0 === 0 &&
          <view className='CheckStatus Checking'>
            <view className='Status'>
              <text className='iconfont iconshenhezhong'></text>
              <text>审核中</text>
              <text>请等待物业或户主审核</text>
            </view>

            <view className='Info'>
              <view className='flex-h'>
                <text>身份：</text>
                <text className='flex-item'>户主</text>
              </view>
              <view className='flex-h'>
                <text>房产：</text>
                <text className='flex-item'>金科蓝湾小区  一区  六栋  一单元  六楼</text>
              </view>
            </view>
          </view>
        }

        {/* 审核通过 */}
        {
          Status - 0 === 1 &&
          <view className='CheckStatus Pass'>
            <view className='Status'>
              <text className='iconfont iconyitongguo'></text>
              <text>审核通过</text>
            </view>

            <view className='Info'>
              <view className='flex-h'>
                <text>身份：</text>
                <text className='flex-item'>户主</text>
              </view>
              <view className='flex-h'>
                <text>房产：</text>
                <text className='flex-item'>金科蓝湾小区  一区  六栋  一单元  六楼</text>
              </view>
            </view>
          </view>
        }

        {/* 审核未通过 */}
        {
          Status - 0 === 2 &&
          <view className='CheckStatus NoPass'>
            <view className='Status'>
              <text className='iconfont iconweitongguo'></text>
              <text>审核未通过</text>
            </view>

            <view className='Info'>
              <view className='flex-h'>
                <text>审核人</text>
                <text className='flex-item'>物业</text>
              </view>
              <view className='flex-h'>
                <text>原因</text>
                <text className='flex-item'>信息填写不完善</text>
              </view>
            </view>

            <view className='Info'>
              <view className='flex-h'>
                <text>身份</text>
                <text className='flex-item'>户主</text>
              </view>
              <view className='flex-h'>
                <text>房产</text>
                <text className='flex-item'>金科蓝湾小区  一区  六栋  一单元  六楼</text>
              </view>
            </view>
          </view>
        }

        <view className='OtherTab'>
          <view className='flex-h'>
            <text className='flex-item'>联系物业</text>
            <text className='iconfont iconjiantouright'></text>
          </view>
          <view className='flex-h'>
            <text className='flex-item'>删除当前资料</text>
            <text className='iconfont iconjiantouright'></text>
          </view>
          <view className='flex-h'>
            <text className='flex-item'>关联其他房产</text>
            <text className='iconfont iconjiantouright'></text>
          </view>
        </view>

        <view className='ContentBottom'></view>

      </view>

      {/* 审核未通过 */}
      {
        Status - 0 === 2 &&
        <view className='BottomBtn'>
          <text>重新认证</text>
        </view>
      }
    </view>
  )
}
