const prefix = `${HOST}/api/wx`

const $api = {
  getActivityList: { // 获取活动列表
    method: 'get',
    url: `${prefix}/buildingDynamiceList`
  },
  getNewsList: { // 获取资讯列表
    method: 'get',
    url: `${prefix}/taNews`
  },
  getBanner: { // 获取轮播图
    method: 'get',
    url: `${prefix}/extendContent/banner`
  },
  login: { // 登录
    method: 'post',
    url: `${prefix}/login`
  },
  saveShareFrom: {
    method: 'post',
    url: `${prefix}/share-person`
  },
  saveTracking: { // 埋点
    method: 'post',
    url: `${prefix}/taPersonVisitRecord`
  },
  updateTracking: { // 更新埋点
    method: 'put',
    url: `${prefix}/taPersonVisitRecord/:id`
  }

}


export default $api